<?php
session_start();

ini_set('display_errors',"On");

require_once './userlogic.php';
require_once './functions.php';

//ログインしているか判定し、していなかったら新規登録画面へ返す
$result=UserLogic::checkLogin();

if(!$result){
    $_SESSION['login_err']='IDを登録してログインしてください';
    header('Location:signup_form.php');
    return;
}

$username=$_SESSION['login_user'] ["id_name"];
$upload_dir = "uploads/$username/";

$folder = $_GET['folder'] ?? '';
$folder_path = "uploads/$username/$folder";

if (!is_dir($folder_path)) {
    echo "フォルダが存在しません。";
    exit();
}

// ZIPファイル名を指定
$zip_file = "$folder.zip";

// ZIPアーカイブの作成
$zip = new ZipArchive();
if ($zip->open($zip_file, ZipArchive::CREATE | ZipArchive::OVERWRITE) === TRUE) {
    $files = new RecursiveIteratorIterator(new RecursiveDirectoryIterator($folder_path), 
    RecursiveIteratorIterator::LEAVES_ONLY);

    foreach ($files as $file) {
        if (!$file->isDir()) {
            $file_path = $file->getRealPath();
            $relative_path = substr($file_path, strlen($folder_path) + 1);
            $zip->addFile($file_path, $relative_path);
        }
    }
    $zip->close();
    
    // ZIPファイルのダウンロード
    header('Content-Type: application/zip');
    header('Content-Disposition: attachment; filename="' . basename($zip_file) . '"');
    header('Content-Length: ' . filesize($zip_file));
    readfile($zip_file);
    
    // 一時的に作成したZIPファイルを削除
    unlink($zip_file);
    exit();
} else {
    echo "ZIP作成に失敗しました。";
}