<?php

session_start();

require_once './userlogic.php';



//エラーメッセージ
$err=[];

//バリデーション
if(!$id_name=filter_input(INPUT_POST,'id_name')){
    $err['id_name']='ユーザーIDを入力してください';
}

if(!$password=filter_input(INPUT_POST,'password'))
{
    $err['password']='パスワードを入力してください';
};

if(count($err)>0){
    //エラーがあった場合は戻す
    $_SESSION=$err;
    header('Location:login_form.php');
    return;
}


//ログイン成功時の処理
$result=UserLogic::login($id_name,$password);
//ログイン失敗時の処理
if(!$result){
    header('Location:login_form.php');
    return;
}

?>
<!DOCTYPE html>
<html lang="ja">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>>ログイン完了</title>
    <style type="text/css">
        body {
            font-family: -apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,"Helvetica Neue",
            Arial,"Noto Sans",sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol",
            "Noto Color Emoji";
            font-size: 20px;
            color: #666;
            text-align: center;  
            width: 100%;              
        }

        body input{
            font-size: 20px;
        }

        body .btn{
            height: 44px;
	        border-radius: 22px;
	        padding: 10px 20px;
	        background-color: #6c757d;
	        color: #fff;
	        line-height: 44px;
            text-decoration: none;
        }

        body button{
                font-family: -apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,"Helvetica Neue",
                Arial,"Noto Sans",sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol",
                "Noto Color Emoji";
                font-size: 20px;
                color: #666;
                font-size: 20px;
            }   
    </style>
</head>
<body>
    <h2>ログイン完了</h2>
    
    <p>ログインしました</p>

    <a href="./mypage.php" class="btn">メインページへ</a>
</body>
</html>