<?php
session_start();

ini_set('display_errors',"On");

require_once './userlogic.php';
require_once './functions.php';

//ログインしているか判定し、していなかったら新規登録画面へ返す
$result=UserLogic::checkLogin();

if(!$result){
    $_SESSION['login_err']='IDを登録してログインしてください';
    header('Location:signup_form.php');
    return;
}

$username=$_SESSION['login_user'] ["id_name"];
$upload_dir = "uploads/$username/";

// フォルダが存在しなければ作成
if (!file_exists($upload_dir)) {
    mkdir($upload_dir,0777,true);
}

// ファイルアップロード処理
if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_FILES['files'])) {
    $folder = $_POST['folder'] ?? '';
    $upload_path = $upload_dir . $folder . '/';

    foreach ($_FILES['files']['tmp_name'] as $index => $tmp_name) {
        $file_name = $_FILES['files']['name'][$index];
        $file_path = $upload_path . $file_name;

        // 重複チェック: 同じファイルがあった場合「_copy」つけて保存
        $counter = 1;
        while (file_exists($file_path)) {
            $file_info = pathinfo($file_name);
            $new_file_name = $file_info['filename'] . "_copy" . $counter . "." . $file_info['extension'];
            $file_path = $upload_path . $new_file_name;
            $counter++;
        }

        if (move_uploaded_file($tmp_name, $file_path)) {
            echo "{$file_name} アップロード成功!<br>";
        } else {
            echo "{$file_name} アップロード失敗...<br>";
        }
    }
}

$current_dir = isset($_GET['folder']) ? $_GET['folder'] : '';
$target_dir = $upload_dir . $current_dir . '/';

if (!is_dir($target_dir)) {
    $target_dir = $upload_dir;
}

// アップロード済みファイルの一覧表示
$files = scandir($target_dir);
$files = array_diff($files, ['.', '..']);

echo "<h2>現在のフォルダ: /$current_dir</h2>";
if ($current_dir) {
    echo "<a href='mypage.php'> 戻る</a><br><br>";
}

?>
<!DOCTYPE html>
<html lang="ja">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>メインページ</title>
    <link rel="stylesheet" href="./style.css">
</head>
<body>
    <div class="container">
        <h1>ようこそ <?php echo h($username) ?> さん</h1>

        <form method="post" action="create_folder.php">
            <input type="text" name="folder_name" placeholder="フォルダ名を入力">
            <button type="submit">フォルダ作成</button>
        </form>

        <h2>フォルダ一覧:</h2>
        <ul>
            <?php
            foreach ($files as $file) {
                $file_path = $upload_dir . $file;
                if (is_dir($file_path)) {
                    echo "<li>
                    <a href='mypage.php?folder=" . urlencode($file) . "'>$file</a> |
                    <a href='download_folder.php?folder=" . urlencode($file) ."'>ZIPでダウンロード</a> |
                    <a href='delete_folder.php?folder=" . urlencode($file) . "'>削除</a>
                    </li>";
                }
            }
            ?>
        </ul>

        <form method="post" enctype="multipart/form-data">
            <input type="file" name="files[]" multiple>
            <input type="hidden" name="folder" value="<?= $current_dir ?>">
            <button type="submit">アップロード</button>
        </form>

        <h2>ファイル一覧:</h2>
        <ul>
        <?php
        foreach ($files as $file) {
            $file_path = $target_dir  . $file;
              if (is_file($file_path)) {
                echo "<li> 
                <a href='$file_path' target='_blank'>$file</a> | 
                <a href='download.php?file=" . urlencode($file) .
                "&path=". urldecode($target_dir) . "'>ダウンロード</a> |
                <a href='delete.php?file=" . urlencode($file) . 
                "&path=". urldecode($target_dir) ."'>削除</a>
                </li>";
            }
        }
        ?>
        </ul>

        <a href="logout.php" class="logout">ログアウト</a>
    </div>
</body>
</html>