<?php
session_start();

require_once './userlogic.php';

//エラーメッセージ
$err=[];

$token=filter_input(INPUT_POST,'csrf_token');
//トークンがない、もしくは一致しない場合、処理を中止
if(!isset($_SESSION['csrf_token']) || $token !==$_SESSION['csrf_token']){
    exit('不正なリクエスト');
}

unset($_SESSION['csrf_token']);

//バリデーション
if(!$id_name=filter_input(INPUT_POST,'id_name')){
    $err[]='ユーザーIDを入力してください';
}

$password=filter_input(INPUT_POST,'password');
//正規表現
if(!preg_match("/\A[a-z\d]{8,100}+\z/i",$password)){
    $err[]='パスワードは英数字8文字以上100文字以下にしてください';    
}
$password_conf=filter_input(INPUT_POST,'password_conf');
if($password!==$password_conf){
    $err[]='確認用パスワードと異なっています';
}

if(count($err)===0){
    //ユーザーを登録する処理
    $hasCreated=UserLogic::createUser($_POST);

    if(!$hasCreated){
        $err[]='登録に失敗しました';
    }
}

?>

<!DOCTYPE html>
<html lang="ja">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>ユーザー登録完了画面</title>
    <style type="text/css">
        body {
            font-family: -apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,"Helvetica Neue",
            Arial,"Noto Sans",sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol",
            "Noto Color Emoji";
            font-size: 20px;
            color: #666;
            text-align: center;  
            width: 100%;              
        }

        body input{
            font-size: 20px;
        }

        body .btn{
            height: 44px;
	        border-radius: 22px;
	        padding: 10px 20px;
	        background-color: #6c757d;
	        color: #fff;
	        line-height: 44px;
            text-decoration: none;
        }

        body button{
                font-family: -apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,"Helvetica Neue",
                Arial,"Noto Sans",sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol",
                "Noto Color Emoji";
                font-size: 20px;
                color: #666;
                font-size: 20px;
            }   
    </style>
</head>
<body>
    <?php if(count($err)>0): ?>
        <?php foreach($err as $e): ?>
            <p><?php echo $e ?></p>
        <?php endforeach ?>
    <?php else: ?>    
        <p>ユーザー登録が完了しました</p>
    <?php endif ?>
        <a href="./signup_form.php" class="btn">戻る</a>
</body>
</html>