<?php
require_once './dbconnect.php';

class UserLogic{
    /**
     * ログインチェック
     * @param void
     * @return bool $result
     */

     public static function checkLogin(){
        
        $result=false;

        //セッションにログインユーザーが入っていなかったらfalse
        if(isset($_SESSION['login_user']) && $_SESSION['login_user']['id']>0){
           return $result=true; 
        }

        return $result;
     }

     /**
     * ユーザーを登録する
     * @param array $id_name
     * @return bool $result
     */

    public static function createUser($userData)
    {
        $result=false;
        $sql='INSERT INTO usertb (id_name,password) VALUES (?,?)';

        //データを配列に入れる
        $arr=[];
        $arr[]=$userData['id_name'];//id_name
        $arr[]=password_hash($userData['password'],PASSWORD_DEFAULT);//password

        try{
            $stmt=connect()->prepare($sql);
            $result=$stmt->execute($arr);

            return $result;
        }catch(\Exception $e){
            return $result;
        }
        
    }

    /**
     * ログイン処理
     * @param string $id_name
     * @param string password
     * @return bool $result
     */

     public static function login($id_name,$password)
     {
        //結果
        $result=false;

        //ユーザーIDから検索して取得
        $user=self::getUserByIdname($id_name);  
        
        if(!$user){
            $_SESSION['msg']='IDが一致しません';
            return $result;
        }

        //パスワードの照会
        if(password_verify($password,$user['password'])){
            //ログイン成功
            session_regenerate_id(true);
            $_SESSION['login_user']=$user;
            $result=true;
            return $result;
        }

        $_SESSION['msg']='パスワードが一致しません';
            return $result;

     }

     /**
     * id_nameからユーザーを取得
     * @param string $id_name
     * @return array|bool $user|false
     */

     public static function getUserByIdname($id_name)
     {
        //SQLの準備
        //SQLの実行
        //SQLの結果を返す

        $sql='SELECT * FROM usertb WHERE id_name=?';

        //id_nameを配列に入れる
        $arr=[];
        $arr[]=$id_name;

        try{
            $stmt=connect()->prepare($sql);
            $stmt->execute($arr);
            $user=$stmt->fetch();
            return $user;
        }catch(\Exception $e){
            return false;
        }
     }
}
?>